## ros-kinetic-fzi-icl-can 1.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fzi_icl_can)

find_package(icl_core REQUIRED COMPONENTS icl_core_config icl_core_logging icl_core)
find_package(tinyxml)
find_package(catkin REQUIRED COMPONENTS libpcan)

# include the icl_hardware_can workspace
SET(ICMAKER_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/icmaker")
INCLUDE(${ICMAKER_DIRECTORY}/CMakeLists.txt)
ADD_SUBDIRECTORY (src/icl_hardware_can)

# reset the project name as otherwise it would be IcMaker
project(fzi_icl_can)

# install script to install pcan-module
install(PROGRAMS install_pcan_module.sh DESTINATION lib/${PROJECT_NAME})

# install package.xml as we are a plain cmake package
install(FILES package.xml DESTINATION share/icl_hardware_can)

=== src/icl_hardware_can/CMakeLists.txt ===
# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-

# To be used by other modules
SET(ICL_HARDWARE_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/src" CACHE INTERNAL "")
SET(ICL_HARDWARE_IDE_FOLDER "icl_hardware_can")


FIND_PACKAGE(Cantools)
FIND_PACKAGE(PeakCan)

ICMAKER_REGISTER_PACKAGE(icl_hardware_can)

ADD_SUBDIRECTORY(src/icl_hardware_can)

ICMAKER_CONFIGURE_PACKAGE()

=== src/icl_hardware_can/src/icl_hardware_can/CMakeLists.txt ===
# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-
ICMAKER_SET("icl_hardware_can" IDE_FOLDER ${ICL_HARDWARE_IDE_FOLDER})

ICMAKER_ADD_SOURCES(
  Logging.cpp
  tCanDevice.cpp
  tCanDeviceDummy.cpp
  tCanFilterMessages.cpp
  tCanMatrixParser.cpp
  tCanMessageMetaDumper.cpp
  tCanMessage.cpp
  InterpretedCanMessage.cpp
  StreamOperators.cpp
)

ICMAKER_ADD_HEADERS(
  ImportExport.h
  Logging.h
  tCanDevice.h
  tCanDeviceDummy.h
  tCanDeviceITEC.h
  tCanDeviceMCA.h
  tCanDevicePeak.h
  tCanDeviceT.h
  tCanDeviceT.hpp
  tCanFilterMessages.h
  tCanMatrixParser.h
  tCanMessageMetaDumper.h
  tCanMessage.h
  tException.h
  CanMessageHelper.h
  InterpretedCanMessage.h
  UseCanNoLxrt.h
  UseDummyCan.h
  UseITECCan.h
  UseMCACan.h
  UsePeakCan.h
  StreamOperators.h
)

ICMAKER_LOCAL_CPPDEFINES(-DICL_HARDWARE_CAN_EXPORT_SYMBOLS)
ICMAKER_GLOBAL_CPPDEFINES(-D_IC_BUILDER_ICL_HARDWARE_CAN_)
ICMAKER_INCLUDE_DIRECTORIES(${ICL_HARDWARE_INCLUDE_DIRS})

ICMAKER_EXTERNAL_DEPENDENCIES(OPTIONAL EXPORT
  PeakCan
)

ICMAKER_DEPENDENCIES(
  icl_core
  tinyxml
)


ICMAKER_EXTERNAL_DEPENDENCIES(OPTIONAL
  Cantools
)

ICMAKER_BUILD_LIBRARY()
ICMAKER_INSTALL_HEADERS(${icmaker_target})

ADD_SUBDIRECTORY(sink)
ADD_SUBDIRECTORY(source)
ADD_SUBDIRECTORY(filter)

=== src/icl_hardware_can/src/icl_hardware_can/filter/CMakeLists.txt ===
# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-

# -- BEGIN LICENSE BLOCK ----------------------------------------------
# -- END LICENSE BLOCK ------------------------------------------------

#----------------------------------------------------------------------
# \file
#
# \author  Jan Oberlaender <oberlaender@fzi.de>
# \date    2014-05-18
#
#----------------------------------------------------------------------
ICMAKER_SET("icl_hardware_can_filter" IDE_FOLDER ${ICL_HARDWARE_IDE_FOLDER})

ICMAKER_ADD_SOURCES(
  HardwareCanFilterInterpretMessage.cpp
  HardwareCanFilterMessageMap.cpp
  )

ICMAKER_ADD_HEADERS(
  ImportExport.h
  HardwareCanFilters.h
  HardwareCanFilterInterpretMessage.h
  HardwareCanFilterMessageMap.h
  )

ICMAKER_GLOBAL_CPPDEFINES(-D_IC_BUILDER_ICL_HARDWARE_CAN_FILTER_)
ICMAKER_LOCAL_CPPDEFINES(-DICL_HARDWARE_CAN_FILTER_EXPORT_SYMBOLS)
ICMAKER_INCLUDE_DIRECTORIES(${ICL_HARDWARE_INCLUDE_DIRS})

ICMAKER_INTERNAL_DEPENDENCIES(EXPORT
  icl_core
  icl_core_config
  icl_core_logging
  icl_hardware_can
  icl_sourcesink
)

ICMAKER_EXTERNAL_DEPENDENCIES(
  Boost_DATE_TIME
)

ICMAKER_BUILD_LIBRARY()
ICMAKER_INSTALL_HEADERS("icl_hardware_can/filter")

=== src/icl_hardware_can/src/icl_hardware_can/sink/CMakeLists.txt ===
# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-
ICMAKER_SET("icl_hardware_can_sink" IDE_FOLDER ${ICL_HARDWARE_IDE_FOLDER})

ICMAKER_ADD_SOURCES(
  # HardwareCanSink.cpp
  HardwareCanSinkCanfile.cpp
  # HardwareCanSinkFactory.cpp
  )

ICMAKER_ADD_HEADERS(
  ImportExport.h
  HardwareCanSinks.h
  HardwareCanSink.h
  HardwareCanSinkCanfile.h
  # HardwareCanSinkFactory.h
  )

IF(UNIX OR APPLE)
  ICMAKER_ADD_SOURCES(
    HardwareCanSinkPeak.cpp
    )

  ICMAKER_ADD_HEADERS(
    HardwareCanSinkPeak.h
    )
ENDIF()

ICMAKER_GLOBAL_CPPDEFINES(-D_IC_BUILDER_ICL_HARDWARE_CAN_SINK_)
ICMAKER_LOCAL_CPPDEFINES(-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DICL_HARDWARE_CAN_SINK_EXPORT_SYMBOLS)
ICMAKER_INCLUDE_DIRECTORIES(${ICL_HARDWARE_INCLUDE_DIRS})

ICMAKER_INTERNAL_DEPENDENCIES(EXPORT
  icl_core
  icl_core_config
  icl_core_logging
  icl_hardware_can
  icl_sourcesink
)

ICMAKER_INTERNAL_DEPENDENCIES(
  icl_core_thread
)

ICMAKER_EXTERNAL_DEPENDENCIES(
  Boost_FILESYSTEM
  Boost_DATE_TIME
)

ICMAKER_BUILD_LIBRARY()
ICMAKER_INSTALL_HEADERS("icl_hardware_can/sink")

=== src/icl_hardware_can/src/icl_hardware_can/source/CMakeLists.txt ===
# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-
ICMAKER_SET("icl_hardware_can_source" IDE_FOLDER ${ICL_HARDWARE_IDE_FOLDER})

ICMAKER_ADD_SOURCES(
  CanFileResolutionHelper.cpp
  HardwareCanSourceCanfile.cpp
  HardwareCanSourceTest.cpp
  )


ICMAKER_ADD_HEADERS(
  ImportExport.h
  CanFileResolutionHelper.h
  HardwareCanSources.h
  HardwareCanSource.h
  HardwareCanSourceCanfile.h
  HardwareCanSourceTest.h
  )

IF(UNIX OR APPLE)
  ICMAKER_ADD_SOURCES(
    HardwareCanSourcePeak.cpp
    )

  ICMAKER_ADD_HEADERS(
    HardwareCanSourcePeak.h
    )
ENDIF()

ICMAKER_GLOBAL_CPPDEFINES(-D_IC_BUILDER_ICL_HARDWARE_CAN_SOURCE_)
ICMAKER_LOCAL_CPPDEFINES(-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DICL_HARDWARE_CAN_SOURCE_EXPORT_SYMBOLS)
ICMAKER_INCLUDE_DIRECTORIES(${ICL_HARDWARE_INCLUDE_DIRS})


ICMAKER_INTERNAL_DEPENDENCIES(EXPORT
  icl_core
  icl_core_config
  icl_core_logging
  icl_core_thread
  icl_math
  icl_sourcesink
  icl_hardware_can
  tinyxml
  )

ICMAKER_INTERNAL_DEPENDENCIES(OPTIONAL
  chassis
  icl_saalem
  )

ICMAKER_EXTERNAL_DEPENDENCIES(
  Boost_FILESYSTEM
  Boost_DATE_TIME
  )

ICMAKER_BUILD_LIBRARY()
ICMAKER_INSTALL_HEADERS("icl_hardware_can/source")

=== debian/changelog ===
ros-kinetic-fzi-icl-can (1.0.11-0xenial) xenial; urgency=high

  * Use the libpcan from the ros package
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Mon, 09 Oct 2017 22:00:00 -0000

ros-kinetic-fzi-icl-can (1.0.10-0xenial) xenial; urgency=high

  * find system tinyxml
  * remove unreachable error codes from parsing
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Sun, 06 Aug 2017 22:00:00 -0000

ros-kinetic-fzi-icl-can (1.0.9-0xenial) xenial; urgency=high

  * reset the project name after including the IcMaker
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Thu, 12 May 2016 22:00:00 -0000

ros-kinetic-fzi-icl-can (1.0.8-0xenial) xenial; urgency=high

  * added license information for pcan
  * add wget as build dependency
  * make the package a plain cmake package again
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Wed, 11 May 2016 22:00:00 -0000

ros-kinetic-fzi-icl-can (1.0.7-0xenial) xenial; urgency=high

  * add popt as a dependency as it is needed for pcan
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Tue, 10 May 2016 22:00:00 -0000

ros-kinetic-fzi-icl-can (1.0.6-0xenial) xenial; urgency=high

  * add dummy libpcan files so that findPKG will find the lib.
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Tue, 10 May 2016 22:00:00 -0000

ros-kinetic-fzi-icl-can (1.0.5-0xenial) xenial; urgency=high

  * build pcan library inside this package and provide a script to build the kernel module
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Tue, 10 May 2016 22:00:00 -0000

ros-kinetic-fzi-icl-can (1.0.4-0xenial) xenial; urgency=high

  * get libpcan from ros package
  * add third-party specific package.xml tags and install rule
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Tue, 03 May 2016 22:00:00 -0000

ros-kinetic-fzi-icl-can (1.0.3-0xenial) xenial; urgency=high

  * find icl_core components correctly
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Sun, 01 May 2016 22:00:00 -0000

ros-kinetic-fzi-icl-can (1.0.2-0xenial) xenial; urgency=high

  * declared package as plain cmake package
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Sun, 01 May 2016 22:00:00 -0000

ros-kinetic-fzi-icl-can (1.0.1-0xenial) xenial; urgency=high

  * Initial public commit of fzi_icl_can library
  * Contributors: Georg Heppner, Jan Oberlaender, Hugo Ritzkowski, Felix Mauch, Thomas Schamm, Klaus Uhl

 -- heppner <heppner@fzi.de>  Thu, 07 Apr 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-fzi-icl-can
Section: misc
Priority: extra
Maintainer: heppner <heppner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), cmake, libpopt-dev, libtinyxml-dev, ros-kinetic-fzi-icl-core, ros-kinetic-libpcan, wget
Homepage: http://wiki.ros.org/fzi_icl_can
Standards-Version: 3.9.2

Package: ros-kinetic-fzi-icl-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpopt-dev, libtinyxml-dev, linux-headers-generic, ros-kinetic-catkin, ros-kinetic-fzi-icl-core, ros-kinetic-libpcan
Description: The fzi_icl_can package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-fzi-icl-can//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
